/* apeload.c */

/* Torture test load generator for ATM driver */

#define NUM_PROCS 4
#define NUM_TRIES 100

main(
int argc,
char **argv)
{
   int i;
   int j;
   int num_tries = NUM_TRIES;
   int num_procs = NUM_PROCS;

   if (argc >= 2)
      sscanf(argv[1], "%d", &num_tries);

   if (argc >= 3)
      sscanf(argv[2], "%d", &num_procs);

   for (i = 0; i < num_tries; i++)
   {
      for (j = 0; j < num_procs; j++)
      {
         if (fork() == 0)
         {
            system("apesend 32 < test.6k");
            exit(1);
         }
      }
      for (j = 0; j < num_procs; j++)
      {
         wait(0);
      }
      printf("Completed iteration %d \n", i+1);
   }
}
