/* aperdnvr.c */

/* This reads nvram data from the ape 25 */

#include <stdio.h>
#include <fcntl.h>

#include "atmxram.h"
#include "ape25.h"
#include "atmuser.h"

int           iobuf[1024];
unsigned char nvbuf[256];

struct lc5type *lc;

void main(
int argc,
char **argv)
{
   int fd;
   int base = 0;
   int len;
   FILE *xr;
   int regid;
   int i;
   int offset;
   int last;

   fd = open("/dev/ape25", O_RDWR);
   if (fd < 0)
   {
      printf("Device /dev/ape25 could not be opened.  \n");
      exit(1);
   }


   iobuf[0] = (int)nvbuf;
   iobuf[1] = 128;              /* Length          */
   iobuf[2] = 0;                /* Offset in NVRAM */
   ioctl(fd, AIO_RDNVRAM, iobuf);

   printf("NVRam Data is: ");
   for (i = 0; i < 128; i++)
   {
      if ((i % 16) == 0)
      {
         printf("\n%4x:  ", i);
      }
      printf("%02x ", nvbuf[i]);
   }
   printf("\n");
}
