/* aipsend.c */

/* Send a datagram without using a connected socket */

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <stdio.h>

#define REPS 125

char buf[1024*16];

struct sockaddr_in name;

char hnamebuf[80];

main(
int argc,
char **argv)
{
   int i, me, you;
   unsigned char c;
   int sock;
   int status;
   long msglen;
   int msgcount;
   unsigned dummy;
   struct hostent *hp;

   sock = socket(AF_INET, SOCK_STREAM, 0);
   if (sock < 0)
   {
      printf("Socket create failed \n");
      exit(1);
   }

   hp = gethostbyname(argv[1]);
   if (hp == 0)
   {
        printf("Host %s not found\n", argv[1]);
        exit(1);
   }

   bcopy((char *)hp->h_addr, (char *)&name.sin_addr, hp->h_length);

   printf("Addr = ");

   for (i = 0; i < sizeof(dummy); i++)
   {
      c = *((char *)&name.sin_addr + i);
      printf(" %2x", c);
   }
   printf("\n");

   name.sin_family = AF_INET;
   name.sin_port = htons(33456);
   status = connect(sock,
         (struct sockaddr *)&name, sizeof(name));

   while (1)
   {
      status = read(0, buf, 80);
      write(sock, buf, status);
   }
}
