/* apestat.c */

/* This program reads all register from the "control region" */
/* (local address base 0x04000000) of the APE 25             */

#include <stdio.h>
#include <fcntl.h>

#include "apedefs.h"
#include "atmuser.h"

int iobuf[1024];

void main(
int argc,
char **argv)
{
   int fd;
   int regid;
   int i;

   fd = open("/dev/ape25", O_RDWR);

   if (fd < 0)
   {
      printf("Device /dev/ape25 could not be opened.  \n");
      exit(1);
   }

   for (i = 0; i < APE_COUNT; i++)
   {
       iobuf[0] = apedefs[i].loc;
       ioctl(fd, AIO_RDCREG, iobuf);
       printf("%s   %04x   - %04x \n",
            apedefs[i].name, apedefs[i].loc, (unsigned short)iobuf[1]);
   }
}

