/* apetqlen.c */

/* Set TC Maximum queue len..       */

#include <stdio.h>
#include <fcntl.h>

#include <time.h>
#include <sys/time.h>

#include "atmxram.h"
#include "ape25.h"
#include "atmuser.h"

struct timezone dummy = {0,0};

char buf[1024];
int iobuf[4];

main(
int argc,
char **argv)
{
   int  fd;
   int  tmq;
   int  qln;

   fd = open("/dev/ape25", O_RDWR);

   if (argc < 2)
   {
      printf("You must give maximum queue len as parm 1.      \n");
      exit(1);
   }
   sscanf(argv[1], "%d", iobuf);
   ioctl(fd, AIO_SETQMAX, iobuf);
}
