/* apexram.c */

/* This program writes/reads and logs Xram */


#include <stdio.h>
#include <fcntl.h>

#include "atmuser.h"

int iobuf[1024];
short xram[8192];


void main(
int argc,
char **argv)
{
   int fd;
   int base = 0;
   int len;
   FILE *xr;
   int regid;
   int i;
   int offset;

   fd = open("/dev/ape25", O_RDWR);
   if (fd < 0)
   {
      printf("Device /dev/ape25 could not be opened.  \n");
      exit(1);
   }

   if (argc > 1)
      sscanf(argv[1], "%x", &base);

   len = len - base;

   if (argc > 2)
      sscanf(argv[2], "%x", &len);

   for (i = 0; i < (len / 2); i++)
   {
      if (i % 8 == 0)
      {
         printf("\n %04x - ", base + 2 * i);
      }
      iobuf[0] = 0x08000000 + base + 2 * i;
      ioctl(fd, AIO_RDVSAP, iobuf);
      printf("%04x ", iobuf[1]);
      xram[i] = iobuf[1];
   }
   printf("\n");

/* xr = fopen("xram.log", "w");
   fwrite(xram, 2, 8192, xr);
   fclose(xr);                    */
}


